---
title: HTMLSelectElement.options
slug: Web/API/HTMLSelectElement/options
tags:
  - API
  - HTMLSelectElement
  - Options
  - Property
  - Read-only
  - Web
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>HTMLSelectElement.options</strong></code> read-only property returns a {{domxref("HTMLOptionsCollection")}} of the {{HTMLElement("option")}} elements contained by the {{HTMLElement("select")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>options</var> = <var>select</var>.options;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("HTMLOptionsCollection")}} containing the <code>&lt;option&gt;</code> elements contained by the <code>&lt;select&gt;</code> element.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;label for="test"&gt;Label&lt;/label&gt;
&lt;select id="test"&gt;
  &lt;option value="1"&gt;Option 1&lt;/option&gt;
  &lt;option value="2"&gt;Option 2&lt;/option&gt;
&lt;/select&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">window.addEventListener("DOMContentLoaded", function() {
  const select = document.getElementById("test");
  for(var i = 0; i &lt; select.options.length; i++) {
    console.log(select.options[i].label); // "Option 1" and "Option 2"
  }
});</pre>

<p>{{EmbedLiveSample("Example", "100%", 30)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-select-options", "options")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "forms.html#htmlselectelement", "options")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.HTMLSelectElement.options")}}</p>
